Subject: bug#20949: 25.0.50; dbus-error "Emacs not compiled with dbus support"

From: Alexis <[email-masked]>
Date: Wed, 01 Jul 2015 18:08:47 +1000

Artur Malabarba <[email-masked]> writes:

> This error happens whenever I start Emacs, which I've compiled 
> myself on an Ubuntu machine with no special options. I 
> understand why the error happens (erc is trying to use some dbus 
> stuff) I just don't understand why my emacs doesn't have dbus 
> support.
>
> Looking through the INSTALL file shows that `configure' has an 
> option for disabling dbus support (which I didn't specify), but 
> I don't see an option for requesting it.

i imagine you've already checked this, but are the relevant 
libdbus*-dev libraries installed on your system? My experience is 
that if they are, the configure script will enable dbus support 
automatically ....

Alexis.